# -*- encoding: utf-8 -*-
# stub: game_2d 0.0.3 ruby lib

Gem::Specification.new do |s|
  s.name = "game_2d".freeze
  s.version = "0.0.3"

  s.required_rubygems_version = Gem::Requirement.new(">= 0".freeze) if s.respond_to? :required_rubygems_version=
  s.require_paths = ["lib".freeze]
  s.authors = ["Greg Meyers".freeze]
  s.date = "2014-12-13"
  s.description = "Built on top of Gosu, an engine for making 2-D games.  Gosu provides the means\nto handle the graphics, sound, and keyboard/mouse events.  It doesn't provide\nany sort of client/server network architecture for multiplayer games, nor a\nsystem for tracking objects in game-space.  This gem aims to fill that gap.\n\nOriginally I tried using Chipmunk as the physics engine, but its outcomes were\ntoo unpredictable for the client to anticipate the server.  It was also hard to\nconstrain in the ways I wanted.  So I elected to build something integer-based.\n\nIn the short term, I'm throwing anything into this gem that interests me.  There\nare reusable elements (GameSpace, Entity, ServerPort), and game-specific\nelements (particular Entity subclasses with custom behaviors).  Longer term, I\ncould see splitting it into two gems.  This gem, game_2d, would retain the\nreusable platform classes.  The other classes would move into a new gem specific\nto the game I'm developing, as a sort of reference implementation.\n".freeze
  s.email = ["cmdr.samvimes@gmail.com".freeze]
  s.executables = ["game_2d_client.rb".freeze, "game_2d_server.rb".freeze]
  s.files = ["bin/game_2d_client.rb".freeze, "bin/game_2d_server.rb".freeze]
  s.homepage = "https://github.com/sereneiconoclast/game_2d".freeze
  s.licenses = ["MIT".freeze]
  s.required_ruby_version = Gem::Requirement.new(">= 1.9.3".freeze)
  s.rubygems_version = "3.3.7".freeze
  s.summary = "Client/server sandbox game using Gosu and REnet".freeze

  s.installed_by_version = "3.3.7" if s.respond_to? :installed_by_version

  if s.respond_to? :specification_version then
    s.specification_version = 3
  end

  if s.respond_to? :add_runtime_dependency then
    s.add_runtime_dependency(%q<facets>.freeze, [">= 2.9.3"])
    s.add_runtime_dependency(%q<gosu>.freeze, [">= 0.8.5"])
    s.add_runtime_dependency(%q<json>.freeze, [">= 1.8.1"])
    s.add_runtime_dependency(%q<renet>.freeze, [">= 0.1.14"])
    s.add_runtime_dependency(%q<trollop>.freeze, [">= 2.0"])
    s.add_development_dependency(%q<bundler>.freeze, ["~> 1.7"])
    s.add_development_dependency(%q<rake>.freeze, ["~> 10.0"])
    s.add_development_dependency(%q<rr>.freeze, ["~> 1.1.2"])
    s.add_development_dependency(%q<rspec>.freeze, ["~> 3.1.0"])
  else
    s.add_dependency(%q<facets>.freeze, [">= 2.9.3"])
    s.add_dependency(%q<gosu>.freeze, [">= 0.8.5"])
    s.add_dependency(%q<json>.freeze, [">= 1.8.1"])
    s.add_dependency(%q<renet>.freeze, [">= 0.1.14"])
    s.add_dependency(%q<trollop>.freeze, [">= 2.0"])
    s.add_dependency(%q<bundler>.freeze, ["~> 1.7"])
    s.add_dependency(%q<rake>.freeze, ["~> 10.0"])
    s.add_dependency(%q<rr>.freeze, ["~> 1.1.2"])
    s.add_dependency(%q<rspec>.freeze, ["~> 3.1.0"])
  end
end
